using Hotline.Share.Dtos;
using XF.Domain.Authentications;
using XF.Domain.Repository;

namespace Hotline.Settings
{

    public interface ISystemOrganizeRepository: IRepository<SystemOrganize>
    {
        Task<IReadOnlyList<SystemOrganize>> GetOrgJson();

        Task<IReadOnlyList<SystemOrganize>> GetOrgAll(bool isCenter, string orgCode);

		Task<IReadOnlyList<SystemOrganize>> GetOrgJsonForUser(string orgCode);


        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrg();

        Task<IReadOnlyCollection<Kv>> GetOrgEnabled();

        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrgByOrgCode(string orgCode);

        //Task<string> GetNewOrgCode(string? parentId);
    }
}
